# Registrations and Licenses

The Registrations and Licenses API will allow for the provisioning of a customer account, create orders, and return account and order information for an account within the Avalara system.Related APIsIndustry Keyword APIUsed to request a complete list of keywords to describe Business Activities in Avalara's License and Registration offerings.Filing Assist Locations Quantity APIUsed to determine if local registrations are required for an address, and the order quantity to be used when placing "Payroll Tax Registration Only" orders.Filing Assist Registration Details APIGet detailed information for the registrations that have been completed by Avalara (e.g. Tax ID, Filing Frequency, etc.)Question Keys APIReturns the Question Keys that can be used to provide answers to questions in Avalara's online questionnaire which will pre-populate the online questionnaire and reduce the amount of data that your customer will need to provide.

Source: https://developer.avalara.com/products/registration-and-licensing/api/

**Version:** 1.0.0
**Base URL:** https://www.businesslicenses.com

---

## Endpoints

### Accounts

#### Create a customer account.

`POST /blms/webservice/filingassist/customer_account/create.json`

Create a new customer account that can be referenced in other functions by using the account ID provided in your system or the Avalara customer account ID (BLAccountID) returned in the response.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | No | Specifies the API version to use. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Use the X-Correlation-ID header to support request correlation. |

#### Retrieve customer account orders.

`GET /blms/webservice/filingassist/customer_account/orders.json`

Retrieve orders for a customer account. At least one of the following fields is required: account_id or bl_account_id.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `key` | string | query | Yes | The entity key provided by Avalara. |
| `avalara-version` | string | header | No | Specifies the API version to use. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Use the X-Correlation-ID header to support request correlation. |
| `account_id` | string | query | No | The customer account ID. Required if bl_account_id is not provided. |
| `bl_account_id` | string | query | No | The Avalara customer account ID. Required if account_id is not provided. |


### Sales Representatives

#### Create a sales representative account.

`POST /blms/webservice/filingassist/salesreps/create.json`

Create a new sales representative that can be referenced in other functions using the SalesRepID returned in the response.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | No | Specifies the API version to use. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Use the X-Correlation-ID header to support request correlation. |


### Orders

#### CreateOrder

`POST /blms/webservice/filingassist/orders.json`

Create orders using the customer account ID and order ID. A single SKU and quantity must be provided to the API. The response returns a list of generated Avalara orders with URLs for each order.Question Pre-populationFor License Suite Order SKU: Provide questions and answers using the following format:answers[0][question]=Question Nameanswers[0][answer]=Answer ValueSupported question types for License Suite Order include the following:Incorporated Type: Limited Liability Company (LLC), S-Corporation, Corporation, Non-profit Corporation, General Partnership, and Sole ProprietorshipIncorporated State: Two-character state codes such as WA and CA.DBA, which stands for Doing Business As: Yes or No.Employees: Yes, NoResidential or Commercial: Residential, CommercialFor all other SKUs, use the Question Keys API endpoint to retrieve available question keys for the specified SKU and location.Details arrays (general, entities, officers, location details): For comprehensive pre-population of the online questionnaire, you can use the details object with general, entities, and officers arrays, as well as details within each location. Use the Question Keys API endpoint to retrieve the exact question names for the specified SKU and location. The endpoint returns available question keys that can be used to provide answers in the details arrays.Common question categories include the following:General questions: Business_Start_Date, Business_Description, Federal_Tax_ID, State_Tax_IDEntity questions: Entity_Name, Entity_Type, Entity_Address, Entity_City, Entity_State, Entity_ZipOfficer questions: Officer_First_Name, Officer_Last_Name, Officer_Title, Officer_SSN, Officer_AddressLocation questions: Location_Description, Location_Phone, Location_Email, Location_Contact_Name

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | No | Specifies the API version to use. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Use the X-Correlation-ID header to support request correlation. |

#### UploadOrderFile

`POST /blms/webservice/filingassist/orders/file-upload.json`

Attach a file to an existing order using the Order ID. The Order ID, file, and file type are required. This endpoint is used to attach the renewal invoice file for an Avalara License Filing Renewal order.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | No | Specifies the API version to use. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Use the X-Correlation-ID header to support request correlation. |
